Subject: Re: [bug#41695] [PATCH] Update Go to v1.14.4
From: Christopher Baines <[email-masked]>
To: Katherine Cox-Buday <[email-masked]>, Jack Hill <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Jun 2020 11:55:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jack Hill <[email-masked]> writes:

> On Sat, 6 Jun 2020, Katherine Cox-Buday wrote:
>
>> Jack Hill <[email-masked]> writes:
>>
>> You're welcome! Thanks for the review. I wish I had more time to
>> contribute to Guix.
>>
>> I suppose I should have qualified my statement by saying there's too
>> many dependent Go packages for me to test. I should invest in a better
>> computer :)
>
> More computing is nice, but in the meantime, I'm happy to be part of a
> community of other Guix people who can provide extra cycles when
> needed.
>
> I'd like to recognize the work Chris and Danjela are doing on Guix
> Data Service to ease patch review as well.
>
>>> Reading through the Go release notes [1], the following change to the
>>> net/url package caught my eye:
>>>
>>>> When parsing of a URL fails (for example by Parse or
>>>> ParseRequestURI), the resulting Error message will now quote the
>>>> unparsable URL. This provides clearer structure and consistency with
>>>> other parsing errors.
>>>
>>> I think this could be the cause of the docker test failure. Should we
>>> patch docker or perhaps try to update it?
>>
>> Spot on! I've updated docker and docker-cli. hyperledger-fabric depends
>> on docker-cli and also continues to build. I've attached a patch which
>> should supersede the prior patch. It updates go, docker, and docker-cli
>> atomically.
>
> I'm happy to confirm that the revised path fixes the docker problem
> here as well.
>
> […]
>
>>> I am curious, why switch to using git-fetch?
>>
>> `guix lint` now complains about downloading tarballs. I have also
>> recently seen some chatter on the mailing list about preferring this.
>
> Right, I remember that thread, thanks!
>
> Hopefully a more experienced reviewer/committer will confirm that
> everything looks good and push soon.

Thanks for the patch Katherine, and thanks to doing some review
Jack. I've had a look now, and pushed (with a small commit message
changes): 6e9f8826087fbd824c546f6daad70f090fa1a8d7

Thanks again,

Chris